For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • POSTCreate child organization
      • POSTCreate organization custom role.
      • GETGet Current Organization
      • GETGet Team List
      • GETGet the roles of the current organization.
      • GETRetrieve Departments
      • GETRetrieve working locations
      • PATCHUpdate organization custom role
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsOrganizations

Retrieve working locations

GET
/working-locations
GET
/rest/v2/working-locations
$curl https://api.letsdeel.com/rest/v2/working-locations \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "id": 12345,
5 "name": "Some locations"
6 }
7 ]
8}

Returns the list of available work location labels for the organization. Populate options when creating or editing people or contract records. Token scopes: organizations:read

Was this page helpful?
Previous

Update organization custom role

Next
Built with

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Response

Successful operation.
datalist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error